# Method __builtin.Nettle.Sign()->jwk()

Method jwk

  ``mapping`(`string(7bit)`:`string(7bit)`) jwk(`bool`|`void` `private_key`)`

Description

  Generate a JOSE JWK mapping representation of the object.

Parameter `private_key`

  If true, include private fields in the result.

Returns

  Returns a mapping as per RFC 7517 section 4 on success, and `0` (zero) on failure (typically that the object isn't initialized properly, or that it isn't supported by JWK).

See also

  Web.encode_jwk(), Web.decode_jwk(), RFC 7517 section 4